Subject: Re: [PATCH] [POWERPC] Add AMCC Glacier 460GT eval board dts

From: Benjamin Herrenschmidt <[email-masked]>
Date: Fri, 21 Mar 2008 22:51:42 +1100

On Fri, 2008-03-21 at 12:46 +0100, Segher Boessenkool wrote:
> > As for the DTS, maybe a "compatible" property in the CPU might make 
> > some
> > sense with a content along the lines of "ppc440x6" or whatever rev of
> > the 440 core it is.
> 
> Good idea, but please _also_ put the exact name in there, first; so
> something like
> 
> 	compatible = "AMCC,PowerPC,460GT", "AMCC,ppc440x6";
> 
> That way, you can still probe for specific versions where necessary.
> This is completely in line with the "generic naming" recommended
> practice; the PowerPC binding predates that RP, it really needs to
> be updated.
> 
> Any reason we keep the device_type here, btw?

BTW, Should we sort compatible from the most specific to the most
specific or the other way around ?

Ben.